SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   KDE Vendors:   KDE.org
(Red Hat Issues Fix for kdelibs) Apple Safari Bugs Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1022474
SecurityTracker URL:  http://securitytracker.com/id/1022474
CVE Reference:   CVE-2009-1698   (Links to External Site)
Date:  Jun 26 2009
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Several vulnerabilities were reported in Apple Safari. A remote user can cause arbitrary code to be executed on the target user's system. kdelibs is affected.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target system. The code will run with the privileges of the target user.

Specially crafted JavaScript can trigger a flaw in JavaScript exception handling [CVE-2009-1686]. Jesse Ruderman of Mozilla Corporation reported this vulnerability.

Specially crafted JavaScript can trigger a memory corruption error in WebKit's JavaScript garbage collector [CVE-2009-1687]. SkyLined of Google Inc. reported this vulnerability.

Specially crafted HTML can trigger a memory corruption error in WebKit's processing of certain DOM event handlers [CVE-2009-1690]. SkyLined of Google Inc. and wushi & ling of team509 (via iDefense) reported this vulnerability.

Specially crafted CSS code can trigger an uninitialized pointer bug in the processing of the CSS 'attr' function [CVE-2009-1698]. Thierry Zoller (via TippingPoint) and Robert Swiecki of the Google Security Team reported this vulnerability.

Specially crafted HTML can trigger a use-after-free bug in the processing of the JavaScript DOM [CVE-2009-1701]. wushi & ling of team509 (via TippingPoint) reported this vulnerability.

A bug in the open-help-anchor URL handler may let remote users access local files or execute arbitrary code [CVE-2009-1708]. Billy Rios and Microsoft Vulnerability Research reported this vulnerability.

Specially crafted SVN animation elements can trigger a use-after-free bug [CVE-2009-1709]. An anonymous researcher (via TippingPoint) reported this vulnerability.

Specially crafted HTML can trigger an uninitialized memory access bug in the processing of Attr DOM objects [CVE-2009-1711]. Feng Qian of Google Inc. reported this vulnerability.

A remote web site can load local applets, which may let remote users access potentially sensitive information or execute arbitrary code [CVE-2009-1712].

Impact:   A remote user can create HTML or other content that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   Red Hat has released a fix for kdelibs for CVE-2009-1698.

The Red Hat advisory is available at:

https://rhn.redhat.com/errata/RHSA-2009-1128.html

Cause:   Access control error
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  3

Message History:   This archive entry is a follow-up to the message listed below.
Jun 8 2009 Apple Safari Bugs Let Remote Users Execute Arbitrary Code



 Source Message Contents

Subject:  [RHSA-2009:1128-01] Important: kdelibs security update


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: kdelibs security update
Advisory ID:       RHSA-2009:1128-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2009-1128.html
Issue date:        2009-06-25
CVE Names:         CVE-2009-1698 
=====================================================================

1. Summary:

Updated kdelibs packages that fix one security issue are now available for
Red Hat Enterprise Linux 3.

This update has been rated as having important security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 3 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Desktop version 3 - i386, x86_64
Red Hat Enterprise Linux ES version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 3 - i386, ia64, x86_64

3. Description:

The kdelibs packages provide libraries for the K Desktop Environment (KDE).

A flaw was found in the way the KDE CSS parser handled content for the
CSS "style" attribute. A remote attacker could create a specially-crafted
CSS equipped HTML page, which once visited by an unsuspecting user, could
cause a denial of service (Konqueror crash) or, potentially, execute
arbitrary code with the privileges of the user running Konqueror.
(CVE-2009-1698)

Users should upgrade to these updated packages, which contain a backported
patch to correct this issue. The desktop must be restarted (log out, then
log back in) for this update to take effect.

4. Solution:

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network.  Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

506469 - CVE-2009-1698 kdelibs: KHTML CSS parser - incorrect handling CSS "style" attribute content (DoS, ACE)

6. Package List:

Red Hat Enterprise Linux AS version 3:

Source:
ftp://updates.redhat.com/enterprise/3AS/en/os/SRPMS/kdelibs-3.1.3-6.13.src.rpm

i386:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-devel-3.1.3-6.13.i386.rpm

ia64:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-3.1.3-6.13.ia64.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.ia64.rpm
kdelibs-devel-3.1.3-6.13.ia64.rpm

ppc:
kdelibs-3.1.3-6.13.ppc.rpm
kdelibs-3.1.3-6.13.ppc64.rpm
kdelibs-debuginfo-3.1.3-6.13.ppc.rpm
kdelibs-debuginfo-3.1.3-6.13.ppc64.rpm
kdelibs-devel-3.1.3-6.13.ppc.rpm

s390:
kdelibs-3.1.3-6.13.s390.rpm
kdelibs-debuginfo-3.1.3-6.13.s390.rpm
kdelibs-devel-3.1.3-6.13.s390.rpm

s390x:
kdelibs-3.1.3-6.13.s390.rpm
kdelibs-3.1.3-6.13.s390x.rpm
kdelibs-debuginfo-3.1.3-6.13.s390.rpm
kdelibs-debuginfo-3.1.3-6.13.s390x.rpm
kdelibs-devel-3.1.3-6.13.s390x.rpm

x86_64:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-3.1.3-6.13.x86_64.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.x86_64.rpm
kdelibs-devel-3.1.3-6.13.x86_64.rpm

Red Hat Desktop version 3:

Source:
ftp://updates.redhat.com/enterprise/3desktop/en/os/SRPMS/kdelibs-3.1.3-6.13.src.rpm

i386:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-devel-3.1.3-6.13.i386.rpm

x86_64:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-3.1.3-6.13.x86_64.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.x86_64.rpm
kdelibs-devel-3.1.3-6.13.x86_64.rpm

Red Hat Enterprise Linux ES version 3:

Source:
ftp://updates.redhat.com/enterprise/3ES/en/os/SRPMS/kdelibs-3.1.3-6.13.src.rpm

i386:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-devel-3.1.3-6.13.i386.rpm

ia64:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-3.1.3-6.13.ia64.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.ia64.rpm
kdelibs-devel-3.1.3-6.13.ia64.rpm

x86_64:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-3.1.3-6.13.x86_64.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.x86_64.rpm
kdelibs-devel-3.1.3-6.13.x86_64.rpm

Red Hat Enterprise Linux WS version 3:

Source:
ftp://updates.redhat.com/enterprise/3WS/en/os/SRPMS/kdelibs-3.1.3-6.13.src.rpm

i386:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-devel-3.1.3-6.13.i386.rpm

ia64:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-3.1.3-6.13.ia64.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.ia64.rpm
kdelibs-devel-3.1.3-6.13.ia64.rpm

x86_64:
kdelibs-3.1.3-6.13.i386.rpm
kdelibs-3.1.3-6.13.x86_64.rpm
kdelibs-debuginfo-3.1.3-6.13.i386.rpm
kdelibs-debuginfo-3.1.3-6.13.x86_64.rpm
kdelibs-devel-3.1.3-6.13.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and 
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1698
http://www.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is <secalert@redhat.com>.  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2009 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFKQ6kdXlSAg2UNWIIRAo5tAJ0Zts1uZ0U5S7a6AiSnEwkEoTQqVgCfR9Rh
FQeBEHnddU57Wi6g3b2P5ng=
=JkeI
-----END PGP SIGNATURE-----


-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC